Index: ael_main.c
===================================================================
--- ael_main.c	(revision 27230)
+++ ael_main.c	(working copy)
@@ -1,6 +1,7 @@
 #include <sys/types.h>
 #include <stdio.h>
 #include <stdlib.h>
+#include <stdarg.h>
 #include <string.h>
 #include <locale.h>
 #include <ctype.h>
@@ -12,10 +13,7 @@
 #include <limits.h>
 
 #include "asterisk/ast_expr.h"
-#include "asterisk/logger.h"
 #include "asterisk/module.h"
-#include "asterisk/channel.h"
-#include "asterisk/app.h"
 #include "asterisk/ael_structs.h"
 
 #define AST_CONFIG_MAX_PATH 255
@@ -24,8 +22,11 @@
 char last_exten[18000];
 char ast_config_AST_CONFIG_DIR[AST_CONFIG_MAX_PATH];
 char ast_config_AST_VAR_DIR[AST_CONFIG_MAX_PATH];
+char ast_config_AST_LOG_DIR[AST_CONFIG_MAX_PATH];
+int option_verbose = 0;
 
 void ast_cli_register_multiple(void);
+void ast_cli_register(void);
 void ast_register_file_version(void);
 void ast_unregister_file_version(void);
 int ast_add_extension2(void *con,
@@ -43,6 +44,7 @@
 void ast_cli_unregister_multiple(void);
 void ast_context_destroy(void);
 void ast_log(int level, const char *file, int line, const char *function, const char *fmt, ...);
+void ast_cli(int fd, char *fmt, ...);
 char *ast_process_quotes_and_slashes(char *start, char find, char replace_with);
 void ast_verbose(const char *fmt, ...);
 struct ast_app *pbx_findapp(const char *app);
@@ -54,6 +56,12 @@
 	return (struct ast_app*)1; /* so as not to trigger an error */
 }
 
+void ast_cli_register(void)
+{
+	if(!no_comp)
+        printf("Executed ast_cli_register();\n");
+}
+
 void ast_cli_register_multiple(void)
 {
 	if(!no_comp)
@@ -175,6 +183,17 @@
         va_end(vars);
 }
 
+void ast_cli(int fd, char *fmt, ...)
+{
+        va_list vars;
+        va_start(vars,fmt);
+
+        printf("CLI: ");
+        vprintf(fmt, vars);
+        fflush(stdout);
+        va_end(vars);
+}
+
 void ast_verbose(const char *fmt, ...)
 {
         va_list vars;
@@ -242,6 +261,7 @@
 		strcpy(ast_config_AST_CONFIG_DIR, "/etc/asterisk");
 	}
 	strcpy(ast_config_AST_VAR_DIR, "/var/lib/asterisk");
+	strcpy(ast_config_AST_LOG_DIR, "/var/log/asterisk");
 	
 	mod_data.load_module(0);
 	
Index: Makefile
===================================================================
--- Makefile	(revision 27230)
+++ Makefile	(working copy)
@@ -76,8 +76,8 @@
 check_expr: check_expr.c ast_expr2.o ast_expr2f.o
 	$(CC) $(CFLAGS) -o $@ $^
 
-aelparse : ../pbx/ael/aelflex.o ../pbx/ael/aelbison.o ../pbx/pbx_ael.o ael_main.o ast_expr2f.o ast_expr2.o
-	$(CC) $(CFLAGS) -g -o aelparse ../pbx/ael/aelflex.o ../pbx/ael/aelbison.o ael_main.o ../pbx/pbx_ael.o ast_expr2f.o ast_expr2.o
+aelparse : ../pbx/ael/aelflex.o ../pbx/ael/aelbison.o ../pbx/pbx_ael.o ael_main.o ast_expr2f.o ast_expr2.o ../astmm.o
+	$(CC) $(CFLAGS) -g -o aelparse ../pbx/ael/aelflex.o ../pbx/ael/aelbison.o ael_main.o ../pbx/pbx_ael.o ast_expr2f.o ast_expr2.o ../astmm.o -lpthread
 
 ael_main.o : ael_main.c ../include/asterisk/ael_structs.h
 	$(CC) $(CFLAGS) -c -g -o ael_main.o ael_main.c
